## virtualbox 5.2.10-dfsg

=== debian/changelog ===
virtualbox (5.2.10-dfsg-6) unstable; urgency=high

  * Fix live restore issue (Closes: #896895)
    - cherry-pick upstream changeset 71931

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Apr 2018 10:49:04 +0200

virtualbox (5.2.10-dfsg-5) unstable; urgency=medium

  * Do the ldconfig and configure of 3d only in case is available
    from configuration file (host side) and x11 package is installed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 19:24:28 +0200

virtualbox (5.2.10-dfsg-4) unstable; urgency=medium

  * Refresh previous patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 16:54:58 +0200

virtualbox (5.2.10-dfsg-3) unstable; urgency=medium

  * Enable again videorec features (Closes: #895791)
  * Do not add GL bindings anymore, breaking userspace applications.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Apr 2018 15:17:21 +0200

virtualbox (5.2.10-dfsg-2) unstable; urgency=medium

  * Alioth list is dead, move to new list. (Closes: #895970)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 11:02:56 +0200

virtualbox (5.2.10-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.10-dfsg
    - drop notify-send patch: upstream
  * Correct VCS field
  * commit new patch for GL fixes
  * Update watch file and std-version to 4.1.4
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 00:57:55 +0200

virtualbox (5.2.8-dfsg-10) unstable; urgency=medium

  * Switch to salsa.debian.org VCS fields

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Apr 2018 19:38:53 +0200

virtualbox (5.2.8-dfsg-9) unstable; urgency=medium

  * Revert previous upload (Closes: #895655)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Apr 2018 10:31:28 +0200

virtualbox (5.2.8-dfsg-8) unstable; urgency=medium

  [ Daniel Rocher ]
  * Add again vboxvideo_drv.so for systems without 3d enabled.
    LP: #1759452

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Apr 2018 18:39:41 +0200

virtualbox (5.2.8-dfsg-7) unstable; urgency=low

  [ Whoopie ]
  * Move dkms rules out to dkms package, but to utils, because
    they can be used with modules builtin in the kernel itself
    or the guest-source package

  [ Gianfranco Costamagna ]
  * Make the guest-utils depends on dkms not vice-versa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Apr 2018 13:21:54 +0200

virtualbox (5.2.8-dfsg-6) unstable; urgency=medium

  * Build with java9 (Closes: #894365)
    - thanks Emmanuel Bourg for all the great help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 19:05:29 +0200

virtualbox (5.2.8-dfsg-5) unstable; urgency=medium

  * Fixup build on i386, by finding the correct java path here too.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Mar 2018 08:19:14 +0100

virtualbox (5.2.8-dfsg-4) unstable; urgency=medium

  * Force java8 to build, java9 makes the program FTBFS because
    of missing javax module (and --add-module can't find it)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Mar 2018 15:02:17 +0100

virtualbox (5.2.8-dfsg-3) unstable; urgency=medium

  * Do not delay startup because of notify-send not being ready
    (Closes: #880594, LP: #1722745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Mar 2018 13:56:41 +0100

virtualbox (5.2.8-dfsg-2) unstable; urgency=medium

  * Update dh_systemd_enable to run only with guest-utils package
    (Closes: #891860). Thanks Kevin Locke for the useful report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Mar 2018 22:53:54 +0100

virtualbox (5.2.8-dfsg-1) unstable; urgency=medium

  * New upstream release, drop the patches upstreamed.
  * Update copyright year to 2018

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2018 23:32:31 +0100

virtualbox (5.2.6-dfsg-5) unstable; urgency=medium

  * Fixup previous upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2018 11:47:34 +0100

virtualbox (5.2.6-dfsg-4) unstable; urgency=medium

  [ Ronny Standtke <ronny.standtke@gmx.net> ]
  * Enable virtualbox-guest-utils.service by default (Closes: #890047)

  [ Gianfranco Costamagna ]
  * Cherry-pick upstream fixes for 3d acceleration

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2018 11:17:10 +0100

virtualbox (5.2.6-dfsg-3) unstable; urgency=medium

  * Patch for 3D runtime flickering with NVIDIA cards
    (this needs a new environment variable) Closes: #889030
    CR_RENDER_FORCE_PRESENT_MAIN_THREAD=0 VirtualBox
    Thanks Marius Mikucionis <mmikucionis@gmail.com> for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2018 13:37:11 +0100

virtualbox (5.2.6-dfsg-2) unstable; urgency=high

  * Add kernel 4.15 patch, from mail list (LP: #1737759

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2018 16:30:10 +0100

virtualbox (5.2.6-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.6-dfsg
  * Bump std-version to 4.1.3, no changes required
  * Drop xfce patch, upstream
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jan 2018 22:35:31 +0100

virtualbox (5.2.4-dfsg-2) unstable; urgency=medium

  [ Dusan Gallo <dusky@mail.hq.sk> ]
  * Fix mini toolbar issue with xfce4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2018 09:19:40 +0100

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper (>= 10),
               default-jdk,
               dh-python,
               dh-systemd (>=1.5),
               dkms (>= 2.1.1.1),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap (>= 2.8.16),
               iasl,
               imagemagick,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libidl-dev,
               libopus-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm (>= 0.7.0),
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.1.4
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

Package: virtualbox-qt
Architecture: amd64 i386
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64 i386
Depends: adduser,
         iproute2,
         procps,
         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
Suggests: vde2, virtualbox-guest-additions-iso
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0,
           virtualbox-5.1,
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 10),
         kbuild,
         module-assistant,
         ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-dkms
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
XB-Modaliases: ${modaliases}
Provides: virtualbox-guest-modules
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 10),
         kbuild,
         module-assistant,
         ${misc:Depends}
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.
 .
 Either the virtualbox-guest-dkms or the virtualbox-guest-source package is
 also required in order to compile the kernel modules needed for
 virtualbox-guest-utils.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils
uxname:=virtualbox-guest-x11

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie,-format,-bindnow

%:
	dh $@ --with python3,dkms,systemd

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc \
	    --enable-system-libopus

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)

	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif
# check if arch-any packages are being built
ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_link:
	dh_link
	dh_link -p$(uxname) --ignore debian/$(uxname).links \
	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.rc;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

# check if arch-all packages are being built
ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_systemd_enable:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
endif
	dh_systemd_enable -p$(uname) debian/$(uname).service

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbgsym-migration='$(sname)-dbg' || dh_strip

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.rc debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 5.2.18

=== src/VBox/Additions/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Guest Drivers.
#

#
# Copyright (C) 2009-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

ifneq ($(KBUILD_EXTMOD),)

# Building from kBuild (make -C <kernel_directory> M=`pwd`).
# KBUILD_EXTMOD is set to $(M) in this case.

obj-m = vboxguest/ vboxsf/ vboxvideo/

else # ! KBUILD_EXTMOD

KBUILD_VERBOSE =

all:
	@echo "=== Building 'vboxguest' module ==="
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest
	@if [ -f vboxguest/vboxguest.ko ]; then \
	    cp vboxguest/vboxguest.ko .; \
	 else \
	    cp vboxguest/vboxguest.o .; \
	 fi
	@echo
	@if [ -d vboxsf ]; then \
	    if [ -f vboxguest/Module.symvers ]; then \
	        cp vboxguest/Module.symvers vboxsf; \
	    fi; \
	    echo "=== Building 'vboxsf' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxsf || exit 1; \
	    if [ -f vboxsf/vboxsf.ko ]; then \
	        cp vboxsf/vboxsf.ko .; \
	    else \
	        cp vboxsf/vboxsf.o .; \
	    fi; \
	    echo; \
	fi
	@if [ -d vboxvideo ]; then \
	    if [ -f vboxguest/Module.symvers ]; then \
	        cp vboxguest/Module.symvers vboxvideo; \
	    fi; \
	    echo "=== Building 'vboxvideo' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo || exit 1; \
	    if [ -f vboxvideo/vboxvideo.ko ]; then \
	        cp vboxvideo/vboxvideo.ko .; \
	    elif [ -f vboxvideo/vboxvideo.o ]; then \
	        cp vboxvideo/vboxvideo.o .; \
	    fi; \
	    echo; \
	fi

install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest install
	@if [ -d vboxsf ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxsf install; \
	fi
	@if [ -d vboxvideo ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo install; \
	fi

clean:
	@$(MAKE) -C vboxguest clean
	@if [ -d vboxsf ]; then \
	    $(MAKE) -C vboxsf clean; \
	fi
	@if [ -d vboxvideo ]; then \
	    $(MAKE) -C vboxvideo clean; \
	fi
	rm -f vboxguest.*o vboxsf.*o vboxvideo.*o

check:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest check

load:
	@/sbin/rmmod vboxvideo || true
	@/sbin/rmmod vboxvfs || true
	@/sbin/rmmod vboxsf || true
	@/sbin/rmmod vboxguest || true
	@/sbin/insmod vboxguest.ko
	@if [ -f vboxsf.ko ]; then /sbin/insmod vboxsf.ko; fi
	@if [ -f vboxvideo.ko ]; then /sbin/insmod vboxvideo.ko; fi

endif # ! KBUILD_EXTMOD

=== src/VBox/HostDrivers/freebsd/Makefile ===
#
# Makefile for the VirtualBox FreeBSD Host Drivers.
#

#
# Copyright (C) 2008-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

KBUILD_VERBOSE =

all:
	@echo "=== Building 'vboxdrv' module ==="
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv
	@cp vboxdrv/vboxdrv.ko .
	@echo
	@if [ -d vboxnetflt ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetflt; \
	    fi; \
	    echo "=== Building 'vboxnetflt' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt; \
	    cp vboxnetflt/vboxnetflt.ko .; \
	    echo; \
	fi
	@if [ -d vboxnetadp ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetadp; \
	    fi; \
	    echo "=== Building 'vboxnetadp' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp; \
	    cp vboxnetadp/vboxnetadp.ko .; \
	    echo; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv install
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt install; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp install; \
	fi

clean:
	@$(MAKE) -C vboxdrv clean
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) -C vboxnetflt clean; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) -C vboxnetadp clean; \
	fi
	rm -f vboxdrv.ko vboxnetflt.ko vboxnetadp.ko

load:
	@for module in vboxnetadp vboxnetflt vboxdrv; do \
		if kldstat -n "$$module" >/dev/null; then \
			echo "Removing previously installed $$module module"; \
			/sbin/kldunload $$module; \
		fi; \
	done
	@for module in vboxdrv vboxnetflt vboxnetadp; do \
		if test -f $$module.ko; then \
			echo "Installing $$module module"; \
			/sbin/kldload ./$$module.ko; \
		fi; \
	done

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Revision: 119168 $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile.include.header

MOD_NAME = vboxguest

MOD_OBJS   = \
	VBoxGuest-linux.o \
	VBoxGuest.o \
	VBoxGuestR0LibGenericRequest.o \
	VBoxGuestR0LibHGCMInternal.o \
	VBoxGuestR0LibInit.o \
	VBoxGuestR0LibPhysHeap.o \
	VBoxGuestR0LibVMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/strformat.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/rtStrFormatKernelAddress-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o
ifeq ($(BUILD_TARGET_ARCH),x86)
MOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/udivmoddi4.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
MOD_OBJS +=	common/alloc/heapsimple.o
endif

MOD_DEFS = -DVBOX -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_GUEST \
            -DIN_GUEST_R0 -DIN_MODULE -DRT_WITH_VBOX -DVBGL_VBOXGUEST \
            -DVBOX_WITH_HGCM
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS  += -DRT_ARCH_AMD64
else
 MOD_DEFS  += -DRT_ARCH_X86
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS += -DVBOX_WITH_64_BITS_GUESTS
endif
MOD_INCL  = $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
MOD_INCL += $(addprefix -I$(KBUILD_EXTMOD)/vboxguest,/ /include /r0drv/linux)

ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxguest),)
 MANGLING := $(KBUILD_EXTMOD)/vboxguest/include/VBox/VBoxGuestMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/VBoxGuestMangling.h
endif
ifeq ($(KERN_VERSION),24)
 ## @todo move to MOD_DEFS when we have finished refactoring
 MOD_CFLAGS = -DEXPORT_SYMTAB
else
 MOD_CFLAGS = -Wno-declaration-after-statement -include $(MANGLING) -fno-pie
endif

MOD_CLEAN = . linux r0drv generic r0drv/linux r0drv/generic VBox \
		common/alloc common/err common/log common/math/gcc common/misc \
		common/string common/table common/time

include $(obj)/Makefile.include.footer

check: $(MOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

## virtualbox 5.2.18-dfsg

=== debian/changelog ===
virtualbox (5.2.18-dfsg-2~ubuntu18.04.5) bionic; urgency=medium

  * LP: #1814133.
  * Fixup java breakage and switch to java11 (this fixes a build failure).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Mar 2019 19:20:35 +0100

virtualbox (5.2.18-dfsg-2~ubuntu18.04.3) bionic-security; urgency=medium

  * debian/patches/fix-for-guest-to-host-escape-vulnerability.patch:
    - Apply patch for guest-to-host escape vulnerability (LP: #1809156)
    - CVE-2018-3294

 -- Martin Konrad <info@martin-konrad.net>  Wed, 26 Dec 2018 19:41:57 -0500

virtualbox (5.2.18-dfsg-2~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest cosmic package for bionic (LP: #1796543)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Oct 2018 15:27:01 +0200

virtualbox (5.2.18-dfsg-2) unstable; urgency=medium

  * debian/patches/kernel-4.18.patch:
    - Fix build with kernel 4.18 (LP: #1787441)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 17:02:22 +0200

virtualbox (5.2.18-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.18-dfsg
  * Patch refresh
  * Bump std-version to 4.2.0.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Aug 2018 23:00:46 +0200

virtualbox (5.2.16-dfsg-3) unstable; urgency=medium

  * from: Kevin Puetz:
    - patch to avoid virtualbox guest utils run if no virtual machines are detected.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 12:36:05 +0200

virtualbox (5.2.16-dfsg-2) unstable; urgency=medium

  * Allow new gcc8 to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 11:47:59 +0200

virtualbox (5.2.16-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.16-dfsg, patch refresh
  * Drop now upstreamed patches: {fix-build,plt-upstream-fix,videorec}.patch
  * Bump std-version to 4.1.5, no changes required
  * Drop now-useless --enable-system-libopus switch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jul 2018 19:36:46 +0200

virtualbox (5.2.14-dfsg-7) unstable; urgency=medium

  * Add again libopus hack in rules file, this might be dropped
    in next upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:51:46 +0200

virtualbox (5.2.14-dfsg-6) unstable; urgency=medium

  [ Jan Nordoholz ]
  * Refresh patch to make it really work.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:51:18 +0200

virtualbox (5.2.14-dfsg-5) unstable; urgency=medium

  * Reupload with upstream patch + some minor modifications to fix the issue
    again. (Closes: #902897)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Jul 2018 14:54:31 +0200

virtualbox (5.2.14-dfsg-4) unstable; urgency=medium

  * Update with new upstream accepted patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jul 2018 10:42:09 +0200

virtualbox (5.2.14-dfsg-3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Tweak python patch to make it compatible with Python3.7
  * Tweak previous changelog entry

  [ Will Thompson ]
  * guest-utils.service: add ConditionVirtualization=oracle

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 12:03:32 +0200

virtualbox (5.2.14-dfsg-2) unstable; urgency=low

  * Try to fix issue with new binutils (Closes: #902897)
    - thanks Jan Christoph Nordholz for the great help and fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 09:49:54 +0200

virtualbox (5.2.14-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.14-dfsg
  * Drop kernel and acpica patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jul 2018 19:50:29 +0200

virtualbox (5.2.12-dfsg-3) unstable; urgency=medium

  * debian/patches/fixes_for_4.17.patch
    from opensuse: fix build with kernel 4.17 (LP: #1776671)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jun 2018 10:09:21 +0200

virtualbox (5.2.12-dfsg-2) unstable; urgency=medium

  * Ignore new acpica-unix syntax, and sed the new aml syntax to the old
    aml working paradigm. A real fix might require:
    - a revert of acpica-unix code
    - a fallback code or switch in acpica-unix
    - changing vbox filenames to some correct C syntax
    For now, better rename the resulting structure to the old way, taking the
    approach from FreeBSD patch. (See bug: #899318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 May 2018 08:45:05 +0200

virtualbox (5.2.12-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.12-dfsg
  * Patch refresh, drop upstream patches:
    GL-fixes.patch, vm-restore.patch, 71985.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 May 2018 15:12:08 +0200

virtualbox (5.2.10-dfsg-7) unstable; urgency=medium

  * debian/patches/71985.patch: add compatibility with upstream
    kernel 4.16 patch (Closes: #897928)
    thanks James McCoy for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 May 2018 11:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,
                debhelper (>= 10),
                default-jdk,
+               jaxws,
                dh-python,
                dh-systemd (>=1.5),
                dkms (>= 2.1.1.1),
@@ -71,7 +73,7 @@
                yasm (>= 0.7.0),
                zlib1g-dev
 X-Python-Version: >= 2.5
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0.1
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,7 @@
 	    --disable-kmods \
 	    --enable-webservice \
 	    --enable-vde \
-	    --enable-vnc \
-	    --enable-system-libopus
+	    --enable-vnc
 
 override_dh_python3:
 	dh_python3 --no-ext-rename

## virtualbox 5.2.22-dfsg

=== debian/changelog ===
virtualbox (5.2.22-dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/rules: disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Nov 2018 13:37:20 -0800

virtualbox (5.2.22-dfsg-1) unstable; urgency=high

  * New upstream release (Closes: #913137)
  * Drop gcc patch
  * patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Nov 2018 12:12:06 +0100

virtualbox (5.2.20-dfsg-3) unstable; urgency=medium

  * Correct java8 path for i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Oct 2018 23:21:37 +0200

virtualbox (5.2.20-dfsg-2) unstable; urgency=medium

  * use java8 again, java11 removes wsimport, useful to have the build finish.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Oct 2018 18:00:28 +0200

virtualbox (5.2.20-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.20-dfsg
  * Drop kernel patch, patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Oct 2018 11:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,
                debhelper (>= 10),
-               default-jdk,
-               jaxws,
+               openjdk-8-jdk-headless,
                dh-python,
                dh-systemd (>=1.5),
                dkms (>= 2.1.1.1),
@@ -98,9 +97,11 @@
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
-Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
-Suggests: vde2, virtualbox-guest-additions-iso
+         ${shlibs:Depends},
+         virtualbox-qt (= ${binary:Version}),
+         virtualbox-guest-additions-iso
+Recommends: ${shlibs:Recommends}
+Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 export DEB_BUILD_HARDENING_PIE=0
 export DEB_BUILD_HARDENING_FORMAT=0
 export DEB_BUILD_HARDENING_BINDNOW=0
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie,-format,-bindnow
 
@@ -68,6 +69,7 @@
 	    VBOX_WITH_REGISTRATION_REQUEST= \
 	    VBOX_WITH_UPDATE_REQUEST= \
 	    KBUILD_VERBOSE=2 \
+	    VBOX_JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH) \
 	    VBOX_WITH_EXTPACK_VBOXDTRACE=
 
 	xsltproc --nonet --stringparam section.autolabel 1 \
@@ -196,7 +198,7 @@
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_strip --dbgsym-migration='$(sname)-dbg' || dh_strip
+	dh_strip --dbgsym-migration='$(sname)-dbg' || dh_strip --no-automatic-dbgsym
 
 	# strip files not handled by dh_strip
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
